@import url("https://fonts.googleapis.com/css?family=Montserrat|Roboto");
*{
  margin: 0;
  padding: 0;
  border: 0;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}
ol, ul {
    list-style: none;
  }
  
  blockquote, q {
    quotes: none;
  }
  
  blockquote:before, blockquote:after,
  q:before, q:after {
    content: "";
    content: none;
  }
  
  table {
    border-collapse: collapse;
    border-spacing: 0;
  }
  
  *, *:before, *:after {
    box-sizing: border-box;
  }
  
  body {
    overflow-x: hidden;
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-size: 16px;
    font-size: 1em;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    line-height: 1.45;
    background-color: #363636;
  }
  
  .chatbot__overview {
    background-color: transparent;
    display: flex;
    flex-flow: row nowrap;
    align-content: space-between;
    min-height: 70vh;
    max-height: 80vh;
    margin: 0 auto;
    padding: 1em;
    padding-bottom: 0;
  }
  
  .chatlist {
    font-family: inherit;
    font-size: 15px;
    display: flex;
    flex-flow: column nowrap;
    align-items: flex-end;
    overflow-x: hidden;
    width: 100%;
    max-width: 55em;
    max-height: 70vh;
    margin: 0 auto;
  }
  .chatlist .userInput, .chatlist .bot__output {
    padding: 0.85em;
    margin: 0.5em;
    max-width: 100%;
    background-color: #fff;
    border-radius: 5px;
    border-bottom: 1px solid #777;
  }
  .chatlist .userInput {
    text-transform: lowercase;
    box-shadow: 1px 1px 2px #666;
    border-top: 4px solid #CC8914;
    opacity: 0;
    animation-name: animateBubble;
    animation-duration: 400ms;
    animation-iteration-count: 1;
    animation-play-state: running;
    animation-fill-mode: forwards;
  }
  .chatlist .bot__output {
    align-self: flex-start;
    box-shadow: -1px 1px 2px #666;
    border-top: 4px solid #000000;
    will-change: auto;
    height: auto;
    opacity: 0;
    animation-name: animateBubble;
    animation-duration: 400ms;
    animation-iteration-count: 1;
    animation-play-state: paused;
    animation-fill-mode: forwards;
  }
  .chatlist .bot__output:last-child {
    display: none;
  }
  .chatlist .bot__command {
    color: #f5f5f5;
    color: #1f8ec9;
    font-weight: 600;
    padding: 0.1em;
  }
  .chatlist .bot__output:nth-child(1) {
    animation-delay: 600ms;
    animation-play-state: running;
  }
  .chatlist .bot__output:nth-child(2) {
    animation-delay: 1200ms;
    animation-play-state: running;
  }
  .chatlist .bot__output:nth-child(3) {
    animation-delay: 1800ms;
    animation-play-state: running;
  }
  .chatlist .bot__output--standard:last-child {
    display: block;
  }
  .chatlist .bot__output--failed {
    display: block !important;
  }
  .chatlist .bot__output--second-sentence {
    display: block;
  }
  .chatlist .bot__outputImage {
    max-width: 16em;
    height: 12em;
  }
  
  @keyframes animateBubble {
    0% {
      transform: translateY(-20%);
      opacity: 0;
    }
    100% {
      transform: translateY(0);
      opacity: 1;
    }
  }
  .block--background {
    background-color: #ffffff21;
    width: 48vw;
    height: 85vh;
  }
  
  #chatform {
    display: flex;
    justify-content: center;
    width: 100%;
    max-width: 51em;
    margin: 0 auto;
    padding-top: 1em;
    font-size: 1em;
    font-family: Helvetica;
  }
  @media screen and (max-width: 29em) {
    #chatform {
      width: 90%;
    }
  }
  @media (max-width: 768px) {
    .chatbot__overview{
      width:100%;
    }
    .page__main{
      display: none;
    }
    .block--background{
      width: 90vw;
    }
    .chatlist {
      font-size: 12px;
    }
  }
  .chatbox-area {
    margin: 0 auto;
    position: relative;
    bottom: 0;
    height: auto;
    width: 100%;
  }
  
  textarea[name=chatbox] {
    resize: none;
    border: 2px solid #ffffff;
    border-right: 0;
    width: 70%;
    background-color: transparent;
    color: #fff;
    height: 3em;
    margin: 0;
    padding: 0.75em;
    border-radius: 8px 0px 0px 8px;
    font-family: inherit;
    font-size: 1em;
  }
  textarea[name=chatbox]:focus {
    outline: none;
    border: 2px solid #000000;
  }
  
  ::-webkit-input-placeholder {
    /* WebKit, Blink, Edge */
    color: #fff;
  }
  
  :-moz-placeholder {
    /* Mozilla Firefox 4 to 18 */
    color: #fff;
    opacity: 1;
  }
  
  ::-moz-placeholder {
    /* Mozilla Firefox 19+ */
    color: #fff;
    opacity: 1;
  }
  
  .submit-button{
    -webkit-appearance: none;
    appearance: none;
    border: 0;
    width: 25%;
    margin: 0;
    background-color: #27ae60;
    color: #fff;
    border: 2px solid #27ae60;
    border-left: 0;
    border-radius: 0 8px 8px 0;
    font-family: inherit;
    font-size: 1em;
    transition: 200ms all ease-in;
  }
  input[type=submit]:hover {
    background-color: #4bd786;
    border-color: #4bd786;
    color: #fff;
  }
  
  .input__nested-list {
    list-style: disc;
    list-style-position: inside;
    padding: 0.5em;
  }
  .input__nested-list:first-child {
    padding-top: 1em;
  }
  
  .input__nested-link {
    color: #2ecc71;
    text-decoration: none;
    border-bottom: 1px solid #2ecc71;
  }
  
  ::-webkit-scrollbar {
    width: 0.65em;
    /* for vertical scrollbars */
    height: 0.65em;
    /* for horizontal scrollbars */
  }
  
  ::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.1);
  }
  
  ::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, 0.3);
  }